#ifndef DEEPINMULTIMEDIA_H
#define DEEPINMULTIMEDIA_H

#include <QObject>
#include <QDBusInterface>
#include <QScopedPointer>

namespace uos_ai {
class DeepinMultimedia : public QObject
{
    Q_OBJECT
public:
    explicit DeepinMultimedia(QObject *parent = nullptr);
    virtual ~DeepinMultimedia();

    // 音乐播放器功能
    bool playOneSong(const QString &name, const QString &singer,
                    const QString &album, const QString &songList,
                    int index, QString &errorInfo);

    bool stateControl(const QString &control, QString &errorInfo);
    bool seek(const QString &position, QString &errorInfo);
    bool playMyFavorite(QString &errorInfo);
    bool addRemoveFavorite(const QString &addFavorite,
                          const QString &removeFavorite,
                          QString &errorInfo);

private:
    // DBus 调用辅助函数
    bool callMusicDBusMethod(QDBusInterface *interface,
                       const QString &method,
                       const QVariantList &args,
                       QString &errorInfo);

private:
    // 音乐播放器 DBus 接口
    QScopedPointer<QDBusInterface> m_musicProxy;
};
}
#endif // DEEPINMULTIMEDIA_H 
